<!doctype html>
<html lang="sv">
<head>
  <meta charset="utf-8"/>
  <title>{{{meta.title}}}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta
  name="description"
  content="{{{meta.description}}}">
  <meta property="og:type" content="website" />
  <meta property="og:image" content="{{{meta.og:image}}}" />
  <meta property="og:image:url" content="{{{meta.og:image:url}}}" />
  <meta property="og:image:width" content="{{{meta.og:image:width}}}" />
  <meta property="og:image:height" content="{{{meta.og:image:height}}}" />
  <meta property="og:title" content="{{{meta.og:title}}}" />
  <meta property="og:description" content="{{{meta.og:description}}}" />
  <meta property="og:site_name" content="{{{meta.og:site_name}}}" />
  <meta property="og:url" content="{{{meta.og:url}}}" />

  <link rel="icon" href="">

<style>{{{style}}}</style>

</head>
<body>

  <header>
    <svg xmlns="//www.w3.org/2000/svg" version="1.1" class="svg-filters" style="display:none;">
      <defs>
        <filter id="marker-shape">
          <feTurbulence type="fractalNoise" baseFrequency="0 0.15" numOctaves="1" result="warp" />
          <feDisplacementMap xChannelSelector="R" yChannelSelector="G" scale="30" in="SourceGraphic" in2="warp" />
        </filter>
      </defs>
    </svg>
    <a class="logo" href="/">
      {{{brand-title}}}
    </a>
    <nav id="navbar" style="margin-top: 1rem;">
      <ul>
          {{#navigation}}
        <li><a href="{{{url}}}">{{{name}}}</a></li>
        {{/navigation}}
      </ul>
    </nav>
    <hr style="margin-top: 0.4rem;margin-bottom: 3rem"/>
  </header>

<main>

    <article id="content">
      {{{content}}}
    </article>

</main>
<hr/>
<footer>
  <section>
    <p><a href="https://gitlab.com/open-data-knowledge-sharing/open-data-knowledge-sharing.gitlab.io">Källkoden är öppen och Arbetsförmedlingen driftar sajten.</a></p>
    <p><a href="/privacy.html">Privacy och cookies</a></p>


    <hr style="margin-bottom: 3rem"/>

    <div style="display: inline-block;background:#fff;color:#333333;padding: 0px">

      <div style="display: inline-block">
        <svg fill="#000000" height="64px" width="64px" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="-44.25 -44.25 531.02 531.02" xml:space="preserve" transform="matrix(1, 0, 0, 1, 0, 0)rotate(0)" stroke="#000058"><g id="SVGRepo_bgCarrier" stroke-width="0"><rect x="-44.25" y="-44.25" width="531.02" height="531.02" rx="0" fill="#fbfbfb" strokewidth="0"></rect></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <g> <path d="M385.057,205.853c2.419-8.397,3.177-17.067,3.177-25.587c0-57.761-46.991-104.752-104.751-104.752 c-22.791,0-44.459,7.196-62.66,20.812c-17.59,13.156-30.855,31.899-37.354,52.781c-0.215,0.691-0.955,2.281-3.948,1.784 c-0.264-0.044-0.542-0.037-0.824-0.056c-0.984-0.063-2.051-0.117-3.153-0.117c-34.256,0-64.816,22.152-76.529,55.286 c-0.174,0.493-0.708,1.654-2.122,1.38c-0.144-0.028-0.287-0.059-0.431-0.087c-5.191-1.041-10.514-1.567-15.822-1.567 C36.174,205.73,0,241.905,0,286.371c0,44.465,36.174,80.64,80.638,80.64h281.247c44.466,0,80.641-36.175,80.641-80.64 c0-34.865-22.822-66.047-55.811-76.721C385.902,209.388,384.2,208.826,385.057,205.853z M361.885,352.011H80.638 c-36.192,0-65.638-29.445-65.638-65.64c0-36.194,29.445-65.641,65.638-65.641c4.441,0,8.892,0.453,13.227,1.346 c1.416,0.292,2.839,0.439,4.227,0.439c7.023,0,12.497-3.844,14.643-10.282c9.27-27.822,34.51-46.515,62.808-46.515 c0.912,0,1.909,0.067,2.965,0.139c1.149,0.078,2.339,0.158,3.614,0.17l0.265,0.001c8.692,0,13.84-4.001,15.298-11.892 c0.041-0.224,0.074-0.439,0.107-0.575c11.738-37.711,46.175-63.047,85.691-63.047c49.489,0,89.751,40.263,89.751,89.752 c0,8.493-1.244,17.086-3.697,25.539c-1.194,4.117-0.924,7.778,0.805,10.883c2.57,4.615,7.192,5.905,9.414,6.525l0.352,0.099 c27.92,8.05,47.419,33.98,47.419,63.059C427.525,322.565,398.079,352.011,361.885,352.011z"></path> <path d="M189.365,225.192c-4.302-1.388-9.292-2.151-14.052-2.151c-22.581,0-38.352,15.598-38.352,37.931 c0,21.853,14.345,36.534,35.695,36.534c8.507,0,14.687-1.841,17.614-2.94c1-0.375,3.655-1.373,3.279-5.5l-1.022-4.578 c-0.455-2.111-1.855-3.371-3.741-3.371c-0.823,0-1.565,0.248-2.051,0.435c-2.427,0.93-6.295,2.167-11.843,2.167 c-12.853,0-21.488-9.366-21.488-23.307c0-14.327,8.6-23.585,21.908-23.585c4.205,0,7.904,0.626,10.993,1.861l0.16,0.065 c0.488,0.203,1.225,0.509,2.092,0.509c1.023,0,2.87-0.439,3.733-3.372l1.381-4.692l0.052-0.224 C194.161,228.457,192.449,226.187,189.365,225.192z"></path> <path d="M238.29,222.762c-20.933,0-35.555,15.598-35.555,37.932c0,21.675,14.161,36.813,34.437,36.813 c17.191,0,35.694-11.87,35.694-37.932C272.866,237.899,258.648,222.762,238.29,222.762z M237.732,284.278 c-10.75,0-18.553-10.096-18.553-24.005c0-12.088,5.823-24.285,18.832-24.285c14.453,0,18.273,15.703,18.273,24.006 C256.283,274.065,248.482,284.278,237.732,284.278z"></path> <path d="M326.691,285.473h-14.803c-2.625,0-1.327-1.278-0.681-1.91c11.59-11.327,20.177-21.27,20.177-33.531 c0-10.557-6.855-21.209-22.172-21.209c-5.997,0-11.775,1.688-16.709,4.881c-3.072,1.989-4.229,4.903-2.968,7.449l1.238,2.742 l0.089,0.18c0.736,1.378,2.09,2.2,3.621,2.2c1.603,0,2.933-0.864,3.831-1.448c3.032-1.972,6.115-2.971,9.164-2.971 c6.344,0,9.428,3.021,9.428,9.206c-0.082,8.083-6.65,15.635-22.326,30.559c-0.74,0.636-5.064,4.381-6.992,6.824 c-0.996,1.263-0.972,2.874-0.951,4.295l0.006,0.568c0,3.413,2.917,5.198,5.799,5.198h34.188c0.218,0.023,0.534,0.048,0.906,0.048 c3.723,0,5.39-2.38,5.39-4.739v-3C332.927,287.345,329.804,285.501,326.691,285.473z"></path> </g> </g></svg>
      </div>

      <span style="padding: 5px;display: block;float: right;text-align: left;">
        Ca {{{c}}}g per sidvisning. <br>Renare än {{{p}}}% av andra sajter. <br><a href="{{{C02}}}" style="text-decoration: underline;color:#333333 !important">Mer om sajtens avtryck</a>
      </span>
    </div>
  </section>
</footer>

<script id="worker" type="text/javascript-worker">
addEventListener('activate', event => {
  event.waitUntil(async function() {
    // Feature-detect
    if (self.registration.navigationPreload) {
      // Enable navigation preloads!
      await self.registration.navigationPreload.enable();
    }
  }());
});
  self.addEventListener('message', async event => {
    const imageURL = event.data.url
    var index = imageURL.lastIndexOf('/');
    var filename = imageURL.substr(index);
    console.log(filename);
    const response = await fetch(event.data.baseURI+"/"+"images"+filename);//fetch(imageURL)
    const blob = await response.blob()

    // Send the image data to the UI thread!
    self.postMessage({
      imageURL: imageURL,
      blob: blob,
    })
  })
</script>

<script>

navigator.serviceWorker.getRegistrations().then(function(registrations) {
    for(let registration of registrations) {
        registration.unregister();
    }
});

const workerAsText = document.querySelector('#worker').textContent;
const workerAsBlob = new Blob([workerAsText], { type: 'text/javascript' });
const ImageLoaderWorker = new Worker(URL.createObjectURL(workerAsBlob));
// This is how we would *normally* load the web worker
// const ImageLoaderWorker = new Worker('https://s.codepen.io/trezy/pen/dEBYXV.js')

const imgElements = document.querySelectorAll('img[data-large]');

ImageLoaderWorker.addEventListener('message', event => {
  // Grab the message data from the event
  const imageData = event.data;

  console.log('We got a message back!', imageData);

  const imageElement = document.querySelector(`img[data-large='${imageData.imageURL}']`);

  const objectURL = URL.createObjectURL(imageData.blob);

  imageElement.setAttribute('src', objectURL);


});

imgElements.forEach(imageElement => {

  const imageURL = imageElement.getAttribute('data-large');
  ImageLoaderWorker.postMessage({url:imageURL,baseURI:self.location.origin});

});
</script>

</body>
</html>
